This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 173791 - Keyboard shortcut conflict in mcedit Replace dialog
Keyboard shortcut conflict in mcedit Replace dialog
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-21 03:46 EST by Ondrej Svejda
Modified: 2013-07-02 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-23 03:30:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ondrej Svejda 2005-11-21 03:46:14 EST
Description of problem:
In latest update mcedit has Alt-p keyboard shortcut for
both input line previous entry and "Prompt on replace".

Version-Release number of selected component (if applicable):
mc-4.6.1a-2.FC3

How reproducible:
Always

Steps to Reproduce:
1. Open file in mc editor.
2. Press F4 for Replace dialog.
3. Press Alt-p.

Actual results:
"Prompt on replace" option is toggled.

Expected results:
Input line should show previous entry.

Additional info:
In previous mc update the shortcut for "Prompt on replace" was Alt-o.
Comment 1 Leonard den Ottolander 2005-11-22 16:45:27 EST
This is my mistake. The O key was assigned twice in that dialog and I wasn't
aware of the Alt-p being assigned for previous entry. I'll use Alt-m instead
(key combination seems not to be in use) and fix this upstream.
Comment 2 Leonard den Ottolander 2005-11-22 17:03:12 EST
Ok, this is now fixed in CVS. Should be fixed with the next update.
Comment 3 Jindrich Novy 2005-11-23 03:30:02 EST
Leonard, thanks for noticing this/fixing it upstream!

Ondrej, the next update will contain mc freshly checked out from mc CVS so it
will contain the fix. I'm going to release FC updates after a while in order to
ship it with more bugs fixed.

Note You need to log in before you can comment on or make changes to this bug.